@echo off

REM ---
REM Make local copy of system files and FTP to MobileIQ server
REM ---

REM ******************************************************************
REM make a local copy of the 3 .csv files.  
REM replace 'your data location' with your full path.  
REM remember to use quotes if there are spaces in the directory or file names
REM 
REM example:
REM 
REM over a network share
REM xcopy "\\accouting server\output\mobileiqcust.csv"  c:\mobileiq /y > nul
REM 
REM from another drive
REM xcopy D:\jobs\output\mobileiqcust.csv  c:\mobileiq /y > nul
REM ******************************************************************

@echo Copying system files...

xcopy "C:\vwf\data\billd043.*" c:\mobileiq\ftp /Y > nul
xcopy "C:\vwf\data\servd052.*" c:\mobileiq\ftp /Y > nul
xcopy "C:\vwf\data\custd041.*" c:\mobileiq\ftp  /Y > nul
xcopy "C:\vwf\data\delvd045.*" c:\mobileiq\ftp  /Y > nul
xcopy "C:\vwf\data\filelist.cfg" c:\mobileiq\ftp /Y > nul


REM ******************************************************************
REM Create zip file without saving directory information
REM ******************************************************************

:SEND_FILES
@echo Transferring files to server...
c:
cd c:\mobileiq
del mbiq_upload.zip > nul
zip -j mbiq_upload.zip ftp/*.*


REM ******************************************************************
REM FTP the files to MobileIQ
REM
REM replace the username and password with the ones MobileIQ assign you
REM you can get them off the administration dashboard under 'Manage Databridge' 
REM
REM ******************************************************************

ncftpput -u "100xxx" -p "pwd" dropbox.gomobileiq.com / mbiq_upload.zip UploadCompleted.txt


CLS
exit
